Package org.apache.activemq.artemis.jms.server.config.impl

## Class JMSQueueConfigurationImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSQueueConfigurationImpl

- All Implemented Interfaces:
    `JMSQueueConfiguration`

      public class JMSQueueConfigurationImpl
      extends java.lang.Object
      implements JMSQueueConfiguration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMSQueueConfigurationImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getBindings()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getSelector()` |
    `boolean` | `isDurable()` |
    `JMSQueueConfigurationImpl` | `setBindings​(java.lang.String... bindings)` |
    `JMSQueueConfigurationImpl` | `setDurable​(boolean durable)` |
    `JMSQueueConfigurationImpl` | `setName​(java.lang.String name)` |
    `JMSQueueConfigurationImpl` | `setSelector​(java.lang.String selector)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSQueueConfigurationImpl

          public JMSQueueConfigurationImpl()

  - ### Method Detail

    - #### getBindings

          public java.lang.String[] getBindings()

      Specified by:
        `getBindings` in interface `JMSQueueConfiguration`

    - #### setBindings

          public JMSQueueConfigurationImpl setBindings​(java.lang.String... bindings)

      Specified by:
        `setBindings` in interface `JMSQueueConfiguration`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JMSQueueConfiguration`

    - #### setName

          public JMSQueueConfigurationImpl setName​(java.lang.String name)

      Specified by:
        `setName` in interface `JMSQueueConfiguration`

    - #### getSelector

          public java.lang.String getSelector()

      Specified by:
        `getSelector` in interface `JMSQueueConfiguration`

    - #### setSelector

          public JMSQueueConfigurationImpl setSelector​(java.lang.String selector)

      Specified by:
        `setSelector` in interface `JMSQueueConfiguration`

    - #### isDurable

          public boolean isDurable()

      Specified by:
        `isDurable` in interface `JMSQueueConfiguration`

    - #### setDurable

          public JMSQueueConfigurationImpl setDurable​(boolean durable)

      Specified by:
        `setDurable` in interface `JMSQueueConfiguration`